## org.hibernate.hql.ast.tree
Interface FunctionNode

All Known Implementing Classes:
  AggregateNode, CollectionFunction, MethodNode

    public interface FunctionNode

Identifies a node which models a SQL function.

Author:
  Steve Ebersole

Method Summary
`Type` `getFirstArgumentType()`
`SQLFunction` `getSQLFunction()`

Method Detail

### getSQLFunction

    SQLFunction getSQLFunction()

### getFirstArgumentType

    Type getFirstArgumentType()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.